ReferenceREST API
Vcp
VCP REST integration endpoints
Get pending and recently applied commands (default lookback: 24h)
Authorization
api-key Path Parameters
siteId*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/v1/vcp/sites/string/commands"{
"commands": [
{}
]
}{
"code": "VALIDATION_ERROR",
"details": {},
"error": "Bad Request",
"message": "Invalid path or query parameters (e.g. malformed UUID)",
"statusCode": 400
}{
"code": "UNAUTHORIZED",
"details": {},
"error": "Unauthorized",
"message": "Missing or invalid API key",
"statusCode": 400
}{
"code": "FORBIDDEN",
"details": {},
"error": "Forbidden",
"message": "Insufficient API key scope",
"statusCode": 400
}{
"code": "INTERNAL_SERVER_ERROR",
"details": {},
"error": "Internal Server Error",
"message": "Internal server error",
"statusCode": 400
}Get current VCP site config (constraints, fallback, mode, active schedule)
Authorization
api-key Path Parameters
siteId*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/v1/vcp/sites/string/config"{
"activeSchedule": {},
"constraints": {},
"fallback": {},
"modeOverride": {},
"operatingMode": "string",
"pendingCommands": [
{}
],
"siteId": "string"
}{
"code": "VALIDATION_ERROR",
"details": {},
"error": "Bad Request",
"message": "Invalid path or query parameters (e.g. malformed UUID)",
"statusCode": 400
}{
"code": "UNAUTHORIZED",
"details": {},
"error": "Unauthorized",
"message": "Missing or invalid API key",
"statusCode": 400
}{
"code": "FORBIDDEN",
"details": {},
"error": "Forbidden",
"message": "Insufficient API key scope",
"statusCode": 400
}{
"code": "INTERNAL_SERVER_ERROR",
"details": {},
"error": "Internal Server Error",
"message": "Internal server error",
"statusCode": 400
}Query meter readings (max 48h window)
Authorization
api-key Path Parameters
siteId*string
Query Parameters
from*string
ISO start of the meter-reading window. Max 48h before to.
Format
date-timeto?string
ISO end of the meter-reading window. Defaults to now.
Format
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/v1/vcp/sites/string/telemetry/meter?from=2019-08-24T14%3A15%3A22Z"{
"readings": [
{}
]
}{
"code": "VALIDATION_ERROR",
"details": {},
"error": "Bad Request",
"message": "Invalid path or query parameters (e.g. malformed UUID)",
"statusCode": 400
}{
"code": "UNAUTHORIZED",
"details": {},
"error": "Unauthorized",
"message": "Missing or invalid API key",
"statusCode": 400
}{
"code": "FORBIDDEN",
"details": {},
"error": "Forbidden",
"message": "Insufficient API key scope",
"statusCode": 400
}{
"code": "INTERNAL_SERVER_ERROR",
"details": {},
"error": "Internal Server Error",
"message": "Internal server error",
"statusCode": 400
}